Subject: Ticket Assigned - Order not recieved
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 13 Apr 2021 04:20:34 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order not recieved Hi,

I placed an order last month and have not recieved it. Please see attached
invoice of my order information. As from the 12th of March I was shocked to
see the status of my order as being delivered while I have not recieved it.
I have been calling the call center every week and they keep promising that
someone will call me back but no one calls me.

I need to know what is happening with my order. I ordered and paid for it
so its eaither you send me my order or just refund my money please if you
cannot send me my order.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2373986